Name:          libSM
Version:       1.2.6
Release:       1mamba
Summary:       X.Org SM library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        http://ftp.x.org/pub/individual/lib/libSM-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libuuid-devel
BuildRequires: xorgproto-devel
## AUTOBUILDREQ-END
BuildRequires: xorg-proto-devel >= 7.1
BuildRequires: xorg-xtrans-devel >= 1.0

%description
X.Org SM library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
X.Org SM library.
This package contains static libraries and header files needed for development.


%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libSM.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/libSM.a
%{_libdir}/libSM.so
%dir %{_includedir}/X11/SM
%{_includedir}/X11/SM/*.h
%{_libdir}/pkgconfig/*.pc
%{_docdir}/libSM
%doc ChangeLog

%changelog
* Sun Mar 09 2025 Automatic Build System <autodist@openmamba.org> 1.2.6-1mamba
- automatic version update by autodist

* Sat Dec 14 2024 Automatic Build System <autodist@openmamba.org> 1.2.5-1mamba
- automatic version update by autodist

* Thu Dec 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.4-1mamba
- update to 1.2.4

* Fri Aug 02 2019 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic update by autodist

* Sun Sep 08 2013 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic update by autodist

* Mon Mar 05 2012 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Tue Nov 09 2010 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Sat Jun 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-2mamba
- rebuilt to add pkgconfig provides

* Sun Aug 09 2009 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic update by autodist

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1mamba
- automatic update by autodist

* Mon Sep 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1mamba
- update to 1.0.3

* Wed Feb 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1qilnx
- update to version 1.0.2 by autospec

* Mon Dec 18 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1qilnx
- package created by autospec
